summaryrefslogtreecommitdiff
path: root/.ci
diff options
context:
space:
mode:
Diffstat (limited to '.ci')
-rwxr-xr-x.ci/addrepo.sh9
-rwxr-xr-x.ci/install.sh9
2 files changed, 16 insertions, 2 deletions
diff --git a/.ci/addrepo.sh b/.ci/addrepo.sh
new file mode 100755
index 0000000..febac0d
--- /dev/null
+++ b/.ci/addrepo.sh
@@ -0,0 +1,9 @@
+#!/bin/bash
+
+if [ "$RUNFROMSHELL" != "" ];
+then
+ echo "Running from shell. Skipping apt-get install"
+ return
+fi
+
+echo "deb http://deb.debian.org/debian $1 main" >> /etc/apt/sources.list
diff --git a/.ci/install.sh b/.ci/install.sh
index d09c953..ca26375 100755
--- a/.ci/install.sh
+++ b/.ci/install.sh
@@ -8,5 +8,10 @@ fi
echo "apt-get update"
./.ci/retry.sh apt-get update || exit 1
-echo "apt-get -y -qq install git-core bash"
-./.ci/retry.sh apt-get -y -qq install $* || exit 1
+echo "apt-get -y install aptitude"
+./.ci/retry.sh apt-get -y install aptitude || exit 1
+
+echo "aptitude update"
+./.ci/retry.sh aptitude update || exit 1
+echo "aptitude -y install $*"
+./.ci/retry.sh aptitude -y install $* || exit 1